part of 'situations_bloc.dart';

abstract class SituationsState extends Equatable {
  const SituationsState();
}

class SituationsInitial extends SituationsState {
  @override
  List<Object> get props => [];
}

class SituationsLoadingError extends SituationsState {
  final dynamic exception;

  SituationsLoadingError({this.exception});

  @override
  List<Object> get props => [];
}

class GetProblemsSuccessState extends SituationsState {
  final ProblemsResponse response;

  GetProblemsSuccessState({required this.response});
  @override
  List<Object> get props => [response];
}
